# Installation

Linus Torvalds, after finding one of his file systems smashed by a new Beta kernel

Core dumping fsck's tend to make me nervous

Keine Panik! Obwohl die Verwendung von Betaversionen einige Nerven kosten kann, ist es unwahrscheinlich, das die KDE-Installation die Festplatte beschädigt. Dieses Kapitel soll durch den Installationsprozess führen, damit man so schnell (und mit so wenig Problemen wie möglich) einen Blick auf die neue Arbeitsoberfläche werfen kann. Wie bei allen neuen Fenstermanagern sollte man auch für diese Installation alle X11-spezifischen Konfigurationsdateien vor der Installation sichern. Im Zweifelsfall sind das alle versteckten Dateien (`.*`) im Persönlichen Verzeichnis und das Verzeichnis `/usr/X11/lib/X11/xdm`.

## Voraussetzungen

Vor der Installation von KDE sollte man sicher stellen, dass das eigene System folgende Voraussetzungen erfüllt:

- Ein funktionstüchtiges POSIX-kompatibles UNIX-System sollte es sein. KDE funktioniert unter anderem auf: Linux, FreeBSD, Solaris, HP-UX und MkLinux. An der Verfügbarkeit auf anderen Plattformen wird gearbeitet.

- Genügend freien Festplattenplatz auf der Partition, auf der `/opt/kde` erzeugt wird. Man sollte ca. 50MB reservieren, falls das System Bibliotheken (shared libraries) unterstützt, ansonsten erheblich mehr. Für die Kompilierung von KDE aus Quelldateien benötigt man zusätzlich ca. 100MB in `/usr/src`.

- Ein funktionierendes X11-System mit oder ohne xdm. Falls man bisher nicht über ein solches System verfügt, sollte man zunächst prüfen, ob sich eines auf den Installationsmedien des Systems befindet. Falls man keine funktionsfähige Version findet, kann man auf der XFree86 Internetseite weitere Informationen zum Auffinden und Installieren des X-Window-Systems finden.

- Die Qt-Bibliotheken, Version 3.0.2. Man kann diese von Troll Techs FTP-Server im tgz-Format beziehen.

Warnung: Falls man KDE von einer älteren Version aktualisiert, sollte man vorher das Folgende tun:

    cd /opt/kde
    tar cfvz ~/KDE-old-version-backup.tar.gz *

## Linux: Installation von RPMs für RedHat, Caldera und SuSE.

Die Installation aus RPMs ist der einfachste Weg zu einem funktionstüchtigen KDE. Suchen Sie einfach im Verzeichnis `/pub/kde/stable/distribution/rpm` auf dem bevorzugten KDE-Mirror. Dort finden sich Verzeichnisse für die verschiedenen Betriebssysteme. Aktuell werden die Architekturen i386, Alpha und Sparc unterstützt. Die RPM-Pakete finden sich auch auf den Red-Hat-Contrib-Seiten wie sunsite.unc.edu oder ftp.redhat.com.

Das Grundsystem besteht aus den Dateien mit der Bezeichnung `kde-Komponente.Architektur.rpm`. Man benötigt mindestens kdesupport, kdelibs und kdebase. Zusätzlich zu diesem Grundsystem kann man alle die RPMs herunterladen, die man für nützlich hält.

Man sollte die Installation mit dem Grundpaket beginnen. Falls man KDE zum ersten Mal installiert, sind das die Befehle

    rpm -i kdesupport.arch.rpm
    rpm -i kdelibs.arch.rpm
    rpm -i kdebase.arch.rpm

Es ist notwendig, dass diese Komponenten in der beschriebenen Reihenfolge und vor jeder weiteren Komponente von KDE installiert werden.

Falls man eine ältere Version aktualisiert, sollte man folgende Befehle verwenden:

    rpm -Uvh kde-component.arch.rpm

Wiederum muss die oben angegebene Reihenfolge beachtet werden. Die genannten Komponenten müssen zuerst installiert werden.

Damit wird das Grundsystem ausgepackt und standardmäßig unter `/opt/kde` installiert.

Falls die Installation der Grundpakete erfolgreich war, kann man weitere Pakete auf die gleiche Art installieren (wiederum muss man für eine Aktualisierung `-Uvh` an Stelle von `-i` verwenden).

## Linux: Installation von DEBs für Debian

Die Installation auf einem Debian-System ist ebenfalls einfach. Für Debian 2.2 (Potato) und 3.0 (Woody) findet man nur KDE 2.0-Pakete. Hier wird lediglich die Installation auf der stabilen Version Debian 2.2 beschrieben, da sich Debian 3.0 immer noch in der Entwicklung befindet. Die Installation für beide Versionen ist allerdings beinahe identisch. Im Unterschied zu 2.2 ist KDE offizieller Bestandteil von Debian 3.0, weshalb man keine besondere Stelle angeben muss, damit die KDE-Pakete gefunden werden.

Im ersten Schritt muss man dem Rechner mitteilen, wo sich die DEB-Pakete für KDE befinden. Eine Liste der Debian-Pakete befindet sich auf der Festplatte unter `/etc/apt/sources.list`. Zu dieser Liste muss man die Zeile `http://kde.tdyc.com/ stable kde2` hinzufügen.

Jetzt muss die lokale Paketdatenbank aktualisiert werden, damit dem System bekannt ist, dass neue Pakete verfügbar sind. Dazu tippt man den folgenden Befehl ein:

    apt-get update

Schließlich wird das KDE-Grundsystem installiert durch folgenden Befehl:

    apt-get install kdebase

Falls man andere Komponenten installieren möchte, sollte man einige oder alle dieser Optionen versuchen:

    apt-get install task-kdenetwork
    apt-get install task-kdeadmin
    apt-get install task-kdetoys
    apt-get install task-kdeutils
    apt-get install task-kdemultimedia
    apt-get install task-kdegraphics
    apt-get install task-kdepim
    apt-get install task-kdegames
    apt-get install task-koffice
    apt-get install kdebase-docs
    apt-get install kdm

Weiterhin möchte man vermutlich das Paket zur eigenen Sprache installieren.

    apt-get install
    kde-i18n-xx

Dabei muss xx durch die passende Länderkennung ersetzt werden.

Die Steuerdateien einiger KDE-Programme findet man unter `/etc/kde2`, die Programme unter `/usr/bin` und die meisten Hilfsdateien unter `/usr/share` in verschiedenen Unterverzeichnissen.

Falls man eine ältere KDE-Version aktualisiert, sollte man vorher die folgenden Schritte unternehmen. Zuerst aktualisiert man die Datei `/etc/apt/sources.list`, indem man die Zeile für die KDE-Pakete durch die Zeile `http://kde.tdyc.com/ stable kde2` ersetzt. Dann aktualisiert man die Paketdatenbank:

    apt-get update

Schließlich installiert man das KDE-Grundsystem:

    apt-get install kdebase
    apt-get dist-upgrade

Falls man weitere KDE-Komponenten installieren möchte, sollte man einige oder alle dieser hier ausprobieren.

    apt-get install task-kdenetwork
    apt-get install task-kdeadmin
    apt-get install task-kdetoys
    apt-get install task-kdeutils
    apt-get install task-kdemultimedia
    apt-get install task-kdegraphics
    apt-get install task-kdepim
    apt-get install task-kdegames
    apt-get install task-koffice
    apt-get install kdebase-docs
    apt-get install kdm

## Kompilierung der Quelltexte zur Installation auf anderen Systemen

Falls die eigene Linux-Distribution keine RPM- oder DEB-Archive verwendet, oder falls man ein andere Betriebssystem verwendet, muss man die KDE-Pakete selbst kompilieren. Zukünftig ist eine Binärdistribution mit eigenem Installationsprogramm geplant.

Um KDE kompilieren und installieren zu können benötigt man folgende Dinge auf der Festplatte:

- Einen ANSI-C-Compiler wie z.B. den GNU-C-Compiler.

- Einen ANSI-C++-Compiler wie z.B. den GNU-C++-Compiler.

- Das Hilfsprogramm make.

- Die Qt-Entwicklungsversion 2.2 oder höher.

- X11-Entwicklungsversion (häufig fehlen Include-Dateien)

Nachdem man alle diese Programme funktionstüchtig hat, benötigt man folgende Dateien aus dem Verzeichnis `/pub/kde/stable/neueste Version` von einem der KDE-Mirror:

- `kdesupport-version.tar.gz`

- `kdelibs-version.tar.gz`

- `kdebase-version.tar.gz`

- alle anderen Pakete, die man installieren möchte. Sinnvoll ist zumindest kdeutils.

Bei allen genannten Paketen steht version für die aktuelle Versionsnummer. Nachdem man alle benötigten Dateien hat, muss man diese unter `/usr/src` auspacken. Es ergibt sich folgende Verzeichnisstruktur:

- `/usr/src/kdesupport`

- `/usr/src/kdelibs`

- `/usr/src/kdebase`

- `/usr/src/...` (alle weiteren Pakete)

Man sollte sich vergewissern, dass man über Schreibrechte in `/opt/kde` verfügt.

Nun muss man die Pakete durch folgende Befehle kompilieren und installieren:

1. `cd` in das Verzeichnis des Paketes, das man installieren möchte (siehe oben)

2. `./configure` (mit den gewünschten Optionen)

3. `make`

4. `make install`

Diese Schritte müssen auf jedes zu installierende Paket angewandt werden.

Diese Instruktionen passen übrigens auf nahezu jedes Quelltextpaket, nicht nur für die KDE-Pakete.

Jedes configure-Skript stellt verschiedene Optionen bereit. Einige sind allgemeingültig, während Andere paketspezifisch sind. Der folgende Ausschnitt stammt aus der Ausgabe des Befehls `configure `--help`` in kdelibs.

      --disable-fast-perl     disable fast Makefile generation (needs perl)
      --enable-debug          creates debugging code [default=no]
      --enable-strict         compiles with strict compiler options (may not work!)
      --enable-profile        creates profiling infos [default=no]
      --enable-final          build size optimized apps (experimental - needs lots of memory)
      --disable-closure       don't delay template instantiation
      --enable-shared[=PKGS]  build shared libraries [default=yes]
      --enable-static[=PKGS]  build static libraries [default=no]
      --enable-fast-install[=PKGS]  optimize for fast installation [default=yes]
      --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
      --disable-libtool-lock  avoid locking (might break parallel builds)
      --with-pic              try to use only PIC/non-PIC objects [default=use both]
      --with-extra-includes=DIR
                              adds non standard include paths
      --with-extra-libs=DIR   adds non standard library paths
      --with-qt-dir=DIR       where the root of Qt is installed
      --with-qt-includes=DIR  where the Qt includes are.
      --with-qt-libraries=DIR where the Qt library is installed.
      --disable-rpath         do not use the rpath feature of ld
      --disable-path-check    don't try to find out, where to install
      --with-xdmdir           If the xdm config dir can't be found automaticly
      --with-pam[=ARG]        enable support for PAM: ARG=[yes|no|service name]
      --with-shadow           If you want shadow password support
      --with-krb4[=PATH]      Compile in Kerberos v4 support.
      --with-afs              Compile in AFS support (requires KTH krb4).
      --with-ldap[=PATH]      Compile in LDAP support.
      --with-samba-libs=path  Use Samba-tng libs in 'path'                [search]
      --without-gl            disable 3D GL modes
      --without-xpm           disable color pixmap XPM tests
      --without-dpms          disable DPMS power saving
      --with-x                use the X Window System
      --with-motif-includes=DIR    Motif include files are in DIR
      --with-motif-libraries=DIR   Motif libraries are in DIR

Viele Optionen sind nicht erforderlich und sind nützlich, um bekannte Probleme zu umgehen (z.B. `--disable-FEATURE`). Da einige Optionen sehr wichtig sind (z.B. --with-shadow) sollte man immer einen Blick auf die verfügbaren Optionen werfen.

Eine der wichtigsten Optionen ist die Option `--prefix`. Diese Option legt fest, wo configure installieren soll (bei kdesupport und kdelibs) oder wo sich Bibliotheken befinden (für alle anderen Pakete). Standardmäßig verwendet configure das Verzeichnis `/opt/kde`. Falls man KDE stattdessen unter `/usr/local` installieren möchte, dient dazu die Angabe `configure `--prefix /usr/local/kde``.

Falls man die Qt-Bibliotheken an einem ungewöhnlichen Platz installiert hat, z.B. unter `$HOME/src/qt`, so muss man die Option `configure `--with-qt-dir=$HOME/src/qt`` verwenden. Standardmäßig sucht configure nach Qt in einigen üblichen Verzeichnissen.

Falls man auf Probleme stößt, die man nicht lösen kann, sollte man eine Kopie der Datei `config.log` an die in der `README`-Datei des problematischen Pakets angegebene Adresse senden.

Für die Installation von KDE gilt folgende Reihenfolge: kdesupport, kdelibs, dann die Programmpakete (z.B. kdebase). Alle Programme basieren nur auf kdelibs, weshalb man sie gleichzeitig kompilieren kann (falls der Rechner dies hergibt).

Falls man ein Multiprozessorsystem verwendet, kann man den Befehl `make `-j Anzahl der Prozessoren`` an Stelle von `make` versuchen.

### platformspezifische Hinweise

#### Linux

Die meisten der unter Linux für KDE notwendigen Programme findet man entweder auf ftp://sunsite.unc.edu/pub/Linux/GCC oder ftp://sunsite/unc.edu/pub/GNU. Die Quelltexte der Qt-Bibliotheken findet man unter ftp://ftp.troll.no/pub/qt/source. Detailierte Installationsanweisungen werden mitgeliefert. Include-Dateien der X11-Programme findet man im Abschnitt xdevel unter ftp://ftp.xfree86.org.

## Erforderliche Änderungen an den eigenen Konfigurationsdateien

Nachdem man die KDE-Binärdateien installiert hat, muss man einige Anpassungen an den Start-Skripten vornehmen.

Die folgende Vorgehensweise wurde unter SuSE Linux 5.0 getestet und sollte auf allen populären UNIX-Varianten ebenfalls funktionieren. Man sollte immer Sicherheitskopien der Konfigurationsdateien anfertigen, bevor man etwas ändert. Folgendes fügt man am Ende von /etc/profile an:

    export PATH=$PATH:/opt/kde/bin
    export KDEDIR=/opt/kde

Als nächstes muss die .xinitrc-Datei im eigenen Persönlichen Verzeichnis angepasst werden. Die Zeile, die den Fenstermanager startet muss durch `startkde` ersetzt werden.

Da nun alle Vorbereitungen zum Start von KDE abgeschlossen sind, kann man zu Kapitel 4 übergehen, in dem der erste Start von KDE beschrieben wird. Falls Probleme auftreten, muss man vermutlich KDE selbst kompilieren. Informationen befinden sich unter Kompilierung der Quelltexte zur Installation auf anderen Systemen.

Die Installation ist so narrensicher wie möglich, daher sollten keine ernsten Probleme auftreten, solange die eigene Rechnerkonfiguration nicht zu exotisch ist. Bei Problemen sollte man sich an die KDE-Mailinglisten wenden.